Index: issm/trunk-jpl/src/m/classes/flowequation.m
===================================================================
--- issm/trunk-jpl/src/m/classes/flowequation.m	(revision 15563)
+++ issm/trunk-jpl/src/m/classes/flowequation.m	(revision 15564)
@@ -6,16 +6,54 @@
 classdef flowequation
 	properties (SetAccess=public) 
-		ismacayeal       = 0;
-		ispattyn         = 0;
-		ishutter         = 0;
-		isl1l2           = 0;
-		isstokes         = 0;
-		fe_stokes        = 0;
-		fe_ssa           = 0;
+		isSIA            = 0;
+		isSSA            = 0;
+		isL1L2           = 0;
+		isHO             = 0;
+		isFS             = 0;
+		fe_SSA           = 0;
+		fe_FS            = 0;
 		vertex_equation  = NaN;
 		element_equation = NaN;
-		bordermacayeal   = NaN;
-		borderpattyn     = NaN;
-		borderstokes     = NaN;
+		borderSSA        = NaN;
+		borderHO         = NaN;
+		borderFS         = NaN;
+	end
+	methods (Static)
+		function obj = loadobj(obj) % {{{
+			% This function is directly called by matlab when a model object is
+			% loaded. If the input is a struct it is an old version of this class and
+			% old fields must be recovered (make sure they are in the deprecated
+			% model properties)
+
+			if verLessThan('matlab','7.9'),
+				disp('Warning: your matlab version is old and there is a risk that load does not work correctly');
+				disp('         if the model is not loaded correctly, rename temporarily loadobj so that matlab does not use it');
+
+				% This is a Matlab bug: all the fields of md have their default value
+				% Example of error message:
+				% Warning: Error loading an object of class 'model':
+				% Undefined function or method 'exist' for input arguments of type 'cell'
+				%
+				% This has been fixed in MATLAB 7.9 (R2009b) and later versions
+			end
+
+			if isstruct(obj)
+				disp('Recovering flowequation from older version');
+				objstruct = obj;
+				obj = structtoobj(flowequation(),objstruct);
+
+				%2013 July 23rd
+				if isfield(objstruct,'isSIA'),          obj.isSIA     = objstruct.isSIA;         end;
+				if isfield(objstruct,'isSSA'),          obj.isSSA     = objstruct.isSSA;         end;
+				if isfield(objstruct,'isL1L2'),         obj.isL1L2    = objstruct.isL1L2;        end;
+				if isfield(objstruct,'isHO'),           obj.isHO      = objstruct.isHO;          end;
+				if isfield(objstruct,'isFS'),           obj.isFS      = objstruct.isFS;          end;
+				if isfield(objstruct,'fe_FS'),      obj.fe_FS     = objstruct.fe_FS;     end;
+				if isfield(objstruct,'borderSSA'), obj.borderSSA = objstruct.borderSSA;end;
+				if isfield(objstruct,'borderHO'),   obj.borderHO  = objstruct.borderHO;  end;
+				if isfield(objstruct,'borderFS'),   obj.borderFS  = objstruct.borderFS;  end;
+			end
+
+		end% }}}
 	end
 	methods
@@ -35,12 +73,12 @@
 			if ismember(DiagnosticHorizAnalysisEnum(),analyses),
 
-				md = checkfield(md,'flowequation.ishutter','numel',[1],'values',[0 1]);
-				md = checkfield(md,'flowequation.ismacayeal','numel',[1],'values',[0 1]);
-				md = checkfield(md,'flowequation.isl1l2','numel',[1],'values',[0 1]);
-				md = checkfield(md,'flowequation.ispattyn','numel',[1],'values',[0 1]);
-				md = checkfield(md,'flowequation.isstokes','numel',[1],'values',[0 1]);
-				md = checkfield(md,'flowequation.bordermacayeal','size',[md.mesh.numberofvertices 1],'values',[0 1]);
-				md = checkfield(md,'flowequation.borderpattyn','size',[md.mesh.numberofvertices 1],'values',[0 1]);
-				md = checkfield(md,'flowequation.borderstokes','size',[md.mesh.numberofvertices 1],'values',[0 1]);
+				md = checkfield(md,'flowequation.isSIA','numel',[1],'values',[0 1]);
+				md = checkfield(md,'flowequation.isSSA','numel',[1],'values',[0 1]);
+				md = checkfield(md,'flowequation.isL1L2','numel',[1],'values',[0 1]);
+				md = checkfield(md,'flowequation.isHO','numel',[1],'values',[0 1]);
+				md = checkfield(md,'flowequation.isFS','numel',[1],'values',[0 1]);
+				md = checkfield(md,'flowequation.borderSSA','size',[md.mesh.numberofvertices 1],'values',[0 1]);
+				md = checkfield(md,'flowequation.borderHO','size',[md.mesh.numberofvertices 1],'values',[0 1]);
+				md = checkfield(md,'flowequation.borderFS','size',[md.mesh.numberofvertices 1],'values',[0 1]);
 				if (md.mesh.dimension==2),
 					md = checkfield(md,'flowequation.vertex_equation','size',[md.mesh.numberofvertices 1],'values',[1:2]);
@@ -50,12 +88,12 @@
 					md = checkfield(md,'flowequation.element_equation','size',[md.mesh.numberofelements 1],'values',[0:8]);
 				end
-				if ~(obj.ishutter || obj.ismacayeal || obj.isl1l2 || obj.ispattyn || obj.isstokes),
+				if ~(obj.isSIA || obj.isSSA || obj.isL1L2 || obj.isHO || obj.isFS),
 					md = checkmessage(md,['no element types set for this model']);
 				end
 			end
-			if ismember(DiagnosticHutterAnalysisEnum(),analyses),
+			if ismember(DiagnosticSIAAnalysisEnum(),analyses),
 				if any(obj.element_equation==1),
 					if(obj.element_equation & md.mask.elementonfloatingice),
-						disp(sprintf('\n !!! Warning: Hutter''s model is not consistent on ice shelves !!!\n'));
+						disp(sprintf('\n !!! Warning: SIA''s model is not consistent on ice shelves !!!\n'));
 					end
 				end
@@ -66,49 +104,49 @@
 			disp(sprintf('   flow equation parameters:'));
 
-			fielddisplay(obj,'ishutter','is the shallow ice approximation used ?');
-			fielddisplay(obj,'ismacayeal','is the macayeal approximation used ?');
-			fielddisplay(obj,'isl1l2','is the l1l2 approximation used ?');
-			fielddisplay(obj,'ispattyn','is the pattyn approximation used ?');
-			fielddisplay(obj,'isstokes','are the Full-Stokes equations used ?');
-			fielddisplay(obj,'fe_ssa','Finite Element for SSA   0: Lagrange P1 (linear), 1: Lagrange P2 (quadratic)');
+			fielddisplay(obj,'isSIA','is the Shallow Ice Approximation (SIA) used ?');
+			fielddisplay(obj,'isSSA','is the Shelfy-Stream Approximation (SSA) used ?');
+			fielddisplay(obj,'isL1L2','is the L1L2 approximation used ?');
+			fielddisplay(obj,'isHO','is the Higher-Order (HO) approximation used ?');
+			fielddisplay(obj,'isFS','are the Full-FS (FS) equations used ?');
+			fielddisplay(obj,'fe_SSA','Finite Element for SSA   0: Lagrange P1 (linear), 1: Lagrange P2 (quadratic)');
 			fielddisplay(obj,'vertex_equation','flow equation for each vertex');
 			fielddisplay(obj,'element_equation','flow equation for each element');
-			fielddisplay(obj,'bordermacayeal','vertices on MacAyeal''s border (for tiling)');
-			fielddisplay(obj,'borderpattyn','vertices on Pattyn''s border (for tiling)');
-			fielddisplay(obj,'borderstokes','vertices on Stokes'' border (for tiling)');
+			fielddisplay(obj,'borderSSA','vertices on SSA''s border (for tiling)');
+			fielddisplay(obj,'borderHO','vertices on HO''s border (for tiling)');
+			fielddisplay(obj,'borderFS','vertices on FS'' border (for tiling)');
 
 		end % }}}
 		function marshall(obj,md,fid) % {{{
-			WriteData(fid,'object',obj,'fieldname','ishutter','format','Boolean');
-			WriteData(fid,'object',obj,'fieldname','ismacayeal','format','Boolean');
-			WriteData(fid,'object',obj,'fieldname','isl1l2','format','Boolean');
-			WriteData(fid,'object',obj,'fieldname','ispattyn','format','Boolean');
-			WriteData(fid,'object',obj,'fieldname','isstokes','format','Boolean');
-			WriteData(fid,'object',obj,'fieldname','fe_stokes','format','Integer');
-			WriteData(fid,'object',obj,'fieldname','fe_ssa','format','Integer');
-			WriteData(fid,'object',obj,'fieldname','bordermacayeal','format','DoubleMat','mattype',1);
-			WriteData(fid,'object',obj,'fieldname','borderpattyn','format','DoubleMat','mattype',1);
-			WriteData(fid,'object',obj,'fieldname','borderstokes','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',obj,'fieldname','isSIA','format','Boolean');
+			WriteData(fid,'object',obj,'fieldname','isSSA','format','Boolean');
+			WriteData(fid,'object',obj,'fieldname','isL1L2','format','Boolean');
+			WriteData(fid,'object',obj,'fieldname','isHO','format','Boolean');
+			WriteData(fid,'object',obj,'fieldname','isFS','format','Boolean');
+			WriteData(fid,'object',obj,'fieldname','fe_FS','format','Integer');
+			WriteData(fid,'object',obj,'fieldname','fe_SSA','format','Integer');
+			WriteData(fid,'object',obj,'fieldname','borderSSA','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',obj,'fieldname','borderHO','format','DoubleMat','mattype',1);
+			WriteData(fid,'object',obj,'fieldname','borderFS','format','DoubleMat','mattype',1);
 			%convert approximations to enums
 			data=obj.vertex_equation;
 			pos=find(data==0); data(pos,end)=NoneApproximationEnum();
-			pos=find(data==1); data(pos,end)=HutterApproximationEnum();
+			pos=find(data==1); data(pos,end)=SIAApproximationEnum();
 			pos=find(data==2); data(pos,end)=MacAyealApproximationEnum();
-			pos=find(data==3); data(pos,end)=PattynApproximationEnum();
-			pos=find(data==4); data(pos,end)=StokesApproximationEnum();
-			pos=find(data==5); data(pos,end)=MacAyealPattynApproximationEnum();
-			pos=find(data==6); data(pos,end)=MacAyealStokesApproximationEnum();
-			pos=find(data==7); data(pos,end)=PattynStokesApproximationEnum();
+			pos=find(data==3); data(pos,end)=HOApproximationEnum();
+			pos=find(data==4); data(pos,end)=FSApproximationEnum();
+			pos=find(data==5); data(pos,end)=MacAyealHOApproximationEnum();
+			pos=find(data==6); data(pos,end)=MacAyealFSApproximationEnum();
+			pos=find(data==7); data(pos,end)=HOFSApproximationEnum();
 			pos=find(data==8); data(pos,end)=L1L2ApproximationEnum();
 			WriteData(fid,'data',data,'enum',FlowequationVertexEquationEnum(),'format','DoubleMat','mattype',1);
 			data=obj.element_equation;
 			pos=find(data==0); data(pos,end)=NoneApproximationEnum();
-			pos=find(data==1); data(pos,end)=HutterApproximationEnum();
+			pos=find(data==1); data(pos,end)=SIAApproximationEnum();
 			pos=find(data==2); data(pos,end)=MacAyealApproximationEnum();
-			pos=find(data==3); data(pos,end)=PattynApproximationEnum();
-			pos=find(data==4); data(pos,end)=StokesApproximationEnum();
-			pos=find(data==5); data(pos,end)=MacAyealPattynApproximationEnum();
-			pos=find(data==6); data(pos,end)=MacAyealStokesApproximationEnum();
-			pos=find(data==7); data(pos,end)=PattynStokesApproximationEnum();
+			pos=find(data==3); data(pos,end)=HOApproximationEnum();
+			pos=find(data==4); data(pos,end)=FSApproximationEnum();
+			pos=find(data==5); data(pos,end)=MacAyealHOApproximationEnum();
+			pos=find(data==6); data(pos,end)=MacAyealFSApproximationEnum();
+			pos=find(data==7); data(pos,end)=HOFSApproximationEnum();
 			pos=find(data==8); data(pos,end)=L1L2ApproximationEnum();
 			WriteData(fid,'data',data,'enum',FlowequationElementEquationEnum(),'format','DoubleMat','mattype',2);
Index: issm/trunk-jpl/src/m/classes/flowequation.py
===================================================================
--- issm/trunk-jpl/src/m/classes/flowequation.py	(revision 15563)
+++ issm/trunk-jpl/src/m/classes/flowequation.py	(revision 15564)
@@ -16,16 +16,16 @@
 	def __init__(self): # {{{
 		
-		self.ishutter         = 0
-		self.ismacayeal       = 0
-		self.isl1l2           = 0
-		self.ispattyn         = 0
-		self.isstokes         = 0
-		self.fe_stokes        = 0
-		self.fe_ssa           = 0
+		self.isSIA            = 0
+		self.isSSA            = 0
+		self.isL1L2           = 0
+		self.isHO             = 0
+		self.isFS             = 0
+		self.fe_SSA           = 0
+		self.fe_FS            = 0
 		self.vertex_equation  = float('NaN')
 		self.element_equation = float('NaN')
-		self.bordermacayeal   = float('NaN')
-		self.borderpattyn     = float('NaN')
-		self.borderstokes     = float('NaN')
+		self.borderSSA        = float('NaN')
+		self.borderHO         = float('NaN')
+		self.borderFS         = float('NaN')
 
 		#set defaults
@@ -36,15 +36,15 @@
 		string='   flow equation parameters:'
 
-		string="%s\n%s"%(string,fielddisplay(self,'ishutter',"is the shallow ice approximation used ?"))
-		string="%s\n%s"%(string,fielddisplay(self,'ismacayeal',"is the macayeal approximation used ?"))
-		string="%s\n%s"%(string,fielddisplay(self,'isl1l2',"are l1l2 equations used ?"))
-		string="%s\n%s"%(string,fielddisplay(self,'ispattyn',"is the pattyn approximation used ?"))
-		string="%s\n%s"%(string,fielddisplay(self,'isstokes',"are the Full-Stokes equations used ?"))
-		string="%s\n%s"%(string,fielddisplay(self,'fe_ssa',"Finite Element for SSA   0: Lagrange P1 (linear), 1: Lagrange P2 (quadratic)"))
+		string="%s\n%s"%(string,fielddisplay(self,'isSIA',"is the Shallow Ice Approximation (SIA) used ?"))
+		string="%s\n%s"%(string,fielddisplay(self,'isSSA',"is the Shelfy-Stream Approximation (SSA) used ?"))
+		string="%s\n%s"%(string,fielddisplay(self,'isL1L2',"are L1L2 equations used ?"))
+		string="%s\n%s"%(string,fielddisplay(self,'isHO',"is the Higher-Order (HO) approximation used ?"))
+		string="%s\n%s"%(string,fielddisplay(self,'isFS',"are the Full-FS (FS) equations used ?"))
+		string="%s\n%s"%(string,fielddisplay(self,'fe_SSA',"Finite Element for SSA   0: Lagrange P1 (linear), 1: Lagrange P2 (quadratic)"))
 		string="%s\n%s"%(string,fielddisplay(self,'vertex_equation',"flow equation for each vertex"))
 		string="%s\n%s"%(string,fielddisplay(self,'element_equation',"flow equation for each element"))
-		string="%s\n%s"%(string,fielddisplay(self,'bordermacayeal',"vertices on MacAyeal's border (for tiling)"))
-		string="%s\n%s"%(string,fielddisplay(self,'borderpattyn',"vertices on Pattyn's border (for tiling)"))
-		string="%s\n%s"%(string,fielddisplay(self,'borderstokes',"vertices on Stokes' border (for tiling)"))
+		string="%s\n%s"%(string,fielddisplay(self,'borderSSA',"vertices on SSA's border (for tiling)"))
+		string="%s\n%s"%(string,fielddisplay(self,'borderHO',"vertices on HO's border (for tiling)"))
+		string="%s\n%s"%(string,fielddisplay(self,'borderFS',"vertices on FS' border (for tiling)"))
 		return string
 		#}}}
@@ -55,12 +55,12 @@
 
 		if DiagnosticHorizAnalysisEnum() in analyses:
-			md = checkfield(md,'flowequation.ishutter','numel',[1],'values',[0,1])
-			md = checkfield(md,'flowequation.ismacayeal','numel',[1],'values',[0,1])
-			md = checkfield(md,'flowequation.isl1l2','numel',[1],'values',[0,1])
-			md = checkfield(md,'flowequation.ispattyn','numel',[1],'values',[0,1])
-			md = checkfield(md,'flowequation.isstokes','numel',[1],'values',[0,1])
-			md = checkfield(md,'flowequation.bordermacayeal','size',[md.mesh.numberofvertices],'values',[0,1])
-			md = checkfield(md,'flowequation.borderpattyn','size',[md.mesh.numberofvertices],'values',[0,1])
-			md = checkfield(md,'flowequation.borderstokes','size',[md.mesh.numberofvertices],'values',[0,1])
+			md = checkfield(md,'flowequation.isSIA','numel',[1],'values',[0,1])
+			md = checkfield(md,'flowequation.isSSA','numel',[1],'values',[0,1])
+			md = checkfield(md,'flowequation.isL1L2','numel',[1],'values',[0,1])
+			md = checkfield(md,'flowequation.isHO','numel',[1],'values',[0,1])
+			md = checkfield(md,'flowequation.isFS','numel',[1],'values',[0,1])
+			md = checkfield(md,'flowequation.borderSSA','size',[md.mesh.numberofvertices],'values',[0,1])
+			md = checkfield(md,'flowequation.borderHO','size',[md.mesh.numberofvertices],'values',[0,1])
+			md = checkfield(md,'flowequation.borderFS','size',[md.mesh.numberofvertices],'values',[0,1])
 			if md.mesh.dimension==2:
 				md = checkfield(md,'flowequation.vertex_equation','size',[md.mesh.numberofvertices],'values',[1,2])
@@ -69,46 +69,46 @@
 				md = checkfield(md,'flowequation.vertex_equation','size',[md.mesh.numberofvertices],'values',numpy.arange(0,8+1))
 				md = checkfield(md,'flowequation.element_equation','size',[md.mesh.numberofelements],'values',numpy.arange(0,8+1))
-			if not (self.ishutter or self.ismacayeal or self.isl1l2 or self.ispattyn or self.isstokes):
+			if not (self.isSIA or self.isSSA or self.isL1L2 or self.isHO or self.isFS):
 				md.checkmessage("no element types set for this model")
 
-		if DiagnosticHutterAnalysisEnum() in analyses:
+		if DiagnosticSIAAnalysisEnum() in analyses:
 			if any(self.element_equation==1):
 				if numpy.any(numpy.logical_and(self.element_equation,md.mask.elementonfloatingice)):
-					print "\n !!! Warning: Hutter's model is not consistent on ice shelves !!!\n"
+					print "\n !!! Warning: SIA's model is not consistent on ice shelves !!!\n"
 
 		return md
 	# }}}
 	def marshall(self,md,fid):    # {{{
-		WriteData(fid,'object',self,'fieldname','ishutter','format','Boolean')
-		WriteData(fid,'object',self,'fieldname','ismacayeal','format','Boolean')
-		WriteData(fid,'object',self,'fieldname','isl1l2','format','Boolean')
-		WriteData(fid,'object',self,'fieldname','ispattyn','format','Boolean')
-		WriteData(fid,'object',self,'fieldname','isstokes','format','Boolean')
-		WriteData(fid,'object',self,'fieldname','fe_stokes','format','Integer')
-		WriteData(fid,'object',self,'fieldname','fe_ssa','format','Integer')
-		WriteData(fid,'object',self,'fieldname','bordermacayeal','format','DoubleMat','mattype',1)
-		WriteData(fid,'object',self,'fieldname','borderpattyn','format','DoubleMat','mattype',1)
-		WriteData(fid,'object',self,'fieldname','borderstokes','format','DoubleMat','mattype',1)
+		WriteData(fid,'object',self,'fieldname','isSIA','format','Boolean')
+		WriteData(fid,'object',self,'fieldname','isSSA','format','Boolean')
+		WriteData(fid,'object',self,'fieldname','isL1L2','format','Boolean')
+		WriteData(fid,'object',self,'fieldname','isHO','format','Boolean')
+		WriteData(fid,'object',self,'fieldname','isFS','format','Boolean')
+		WriteData(fid,'object',self,'fieldname','fe_FS','format','Integer')
+		WriteData(fid,'object',self,'fieldname','fe_SSA','format','Integer')
+		WriteData(fid,'object',self,'fieldname','borderSSA','format','DoubleMat','mattype',1)
+		WriteData(fid,'object',self,'fieldname','borderHO','format','DoubleMat','mattype',1)
+		WriteData(fid,'object',self,'fieldname','borderFS','format','DoubleMat','mattype',1)
 		#convert approximations to enums
 		data=copy.deepcopy(self.vertex_equation)
 		data[numpy.nonzero(data==0)]=NoneApproximationEnum()
-		data[numpy.nonzero(data==1)]=HutterApproximationEnum()
+		data[numpy.nonzero(data==1)]=SIAApproximationEnum()
 		data[numpy.nonzero(data==2)]=MacAyealApproximationEnum()
-		data[numpy.nonzero(data==3)]=PattynApproximationEnum()
-		data[numpy.nonzero(data==4)]=StokesApproximationEnum()
-		data[numpy.nonzero(data==5)]=MacAyealPattynApproximationEnum()
-		data[numpy.nonzero(data==6)]=MacAyealStokesApproximationEnum()
-		data[numpy.nonzero(data==7)]=PattynStokesApproximationEnum()
+		data[numpy.nonzero(data==3)]=HOApproximationEnum()
+		data[numpy.nonzero(data==4)]=FSApproximationEnum()
+		data[numpy.nonzero(data==5)]=MacAyealHOApproximationEnum()
+		data[numpy.nonzero(data==6)]=MacAyealFSApproximationEnum()
+		data[numpy.nonzero(data==7)]=HOFSApproximationEnum()
 		data[numpy.nonzero(data==8)]=L1L2ApproximationEnum()
 		WriteData(fid,'data',data,'enum',FlowequationVertexEquationEnum(),'format','DoubleMat','mattype',1)
 		data=copy.deepcopy(self.element_equation)
 		data[numpy.nonzero(data==0)]=NoneApproximationEnum()
-		data[numpy.nonzero(data==1)]=HutterApproximationEnum()
+		data[numpy.nonzero(data==1)]=SIAApproximationEnum()
 		data[numpy.nonzero(data==2)]=MacAyealApproximationEnum()
-		data[numpy.nonzero(data==3)]=PattynApproximationEnum()
-		data[numpy.nonzero(data==4)]=StokesApproximationEnum()
-		data[numpy.nonzero(data==5)]=MacAyealPattynApproximationEnum()
-		data[numpy.nonzero(data==6)]=MacAyealStokesApproximationEnum()
-		data[numpy.nonzero(data==7)]=PattynStokesApproximationEnum()
+		data[numpy.nonzero(data==3)]=HOApproximationEnum()
+		data[numpy.nonzero(data==4)]=FSApproximationEnum()
+		data[numpy.nonzero(data==5)]=MacAyealHOApproximationEnum()
+		data[numpy.nonzero(data==6)]=MacAyealFSApproximationEnum()
+		data[numpy.nonzero(data==7)]=HOFSApproximationEnum()
 		data[numpy.nonzero(data==8)]=L1L2ApproximationEnum()
 		WriteData(fid,'data',data,'enum',FlowequationElementEquationEnum(),'format','DoubleMat','mattype',2)
Index: issm/trunk-jpl/src/m/classes/model/model.m
===================================================================
--- issm/trunk-jpl/src/m/classes/model/model.m	(revision 15563)
+++ issm/trunk-jpl/src/m/classes/model/model.m	(revision 15564)
@@ -171,7 +171,7 @@
 				md.flowequation.element_equation=project2d(md,md.flowequation.element_equation,1);
 				md.flowequation.vertex_equation=project2d(md,md.flowequation.vertex_equation,1);
-				md.flowequation.bordermacayeal=project2d(md,md.flowequation.bordermacayeal,1);
-				md.flowequation.borderpattyn=project2d(md,md.flowequation.borderpattyn,1);
-				md.flowequation.borderstokes=project2d(md,md.flowequation.borderstokes,1);
+				md.flowequation.borderSSA=project2d(md,md.flowequation.borderSSA,1);
+				md.flowequation.borderHO=project2d(md,md.flowequation.borderHO,1);
+				md.flowequation.borderFS=project2d(md,md.flowequation.borderFS,1);
 			end	
 
@@ -262,5 +262,5 @@
 			%   It can either be a domain file (argus type, .exp extension), or an array of element flags. 
 			%   If user wants every element outside the domain to be 
-			%   extract2d, add '~' to the name of the domain file (ex: '~Pattyn.exp');
+			%   extract2d, add '~' to the name of the domain file (ex: '~HO.exp');
 			%   an empty string '' will be considered as an empty domain
 			%   a string 'all' will be considered as the entire domain
@@ -718,7 +718,7 @@
 				md.flowequation.vertex_equation=project3d(md,'vector',oldvertices_type,'type','node');
 			end
-			md.flowequation.bordermacayeal=project3d(md,'vector',md.flowequation.bordermacayeal,'type','node');
-			md.flowequation.borderpattyn=project3d(md,'vector',md.flowequation.borderpattyn,'type','node');
-			md.flowequation.borderstokes=project3d(md,'vector',md.flowequation.borderstokes,'type','node');
+			md.flowequation.borderSSA=project3d(md,'vector',md.flowequation.borderSSA,'type','node');
+			md.flowequation.borderHO=project3d(md,'vector',md.flowequation.borderHO,'type','node');
+			md.flowequation.borderFS=project3d(md,'vector',md.flowequation.borderFS,'type','node');
 
 			%boundary conditions
@@ -882,6 +882,6 @@
 			if isfield(structmd,'artificial_diffusivity'), md.balancethickness.stabilization=structmd.artificial_diffusivity; end
 			if isfield(structmd,'dhdt'), md.balancethickness.thickening_rate=structmd.dhdt; end
-			if isfield(structmd,'ishutter'), md.flowequation.ishutter=structmd.ishutter; end
-			if isfield(structmd,'isstokes'), md.flowequation.isstokes=structmd.isstokes; end
+			if isfield(structmd,'isSIA'), md.flowequation.isSIA=structmd.isSIA; end
+			if isfield(structmd,'isFS'), md.flowequation.isFS=structmd.isFS; end
 			if isfield(structmd,'elements_type'), md.flowequation.element_equation=structmd.elements_type; end
 			if isfield(structmd,'vertices_type'), md.flowequation.vertex_equation=structmd.vertices_type; end
Index: issm/trunk-jpl/src/m/classes/model/model.py
===================================================================
--- issm/trunk-jpl/src/m/classes/model/model.py	(revision 15563)
+++ issm/trunk-jpl/src/m/classes/model/model.py	(revision 15564)
@@ -177,5 +177,5 @@
 		   It can either be a domain file (argus type, .exp extension), or an array of element flags. 
 		   If user wants every element outside the domain to be 
-		   extract2d, add '~' to the name of the domain file (ex: '~Pattyn.exp');
+		   extract2d, add '~' to the name of the domain file (ex: '~HO.exp');
 		   an empty string '' will be considered as an empty domain
 		   a string 'all' will be considered as the entire domain
@@ -613,7 +613,7 @@
 			md.flowequation.vertex_equation=project3d(md,'vector',oldvertices_type,'type','node')
 
-		md.flowequation.bordermacayeal=project3d(md,'vector',md.flowequation.bordermacayeal,'type','node')
-		md.flowequation.borderpattyn=project3d(md,'vector',md.flowequation.borderpattyn,'type','node')
-		md.flowequation.borderstokes=project3d(md,'vector',md.flowequation.borderstokes,'type','node')
+		md.flowequation.borderSSA=project3d(md,'vector',md.flowequation.borderSSA,'type','node')
+		md.flowequation.borderHO=project3d(md,'vector',md.flowequation.borderHO,'type','node')
+		md.flowequation.borderFS=project3d(md,'vector',md.flowequation.borderFS,'type','node')
 
 		#boundary conditions
Index: issm/trunk-jpl/src/m/classes/toolkits.m
===================================================================
--- issm/trunk-jpl/src/m/classes/toolkits.m	(revision 15563)
+++ issm/trunk-jpl/src/m/classes/toolkits.m	(revision 15564)
@@ -22,5 +22,5 @@
 		 function obj = addoptions(obj,analysis,varargin) % {{{
 		 % Usage example:
-		 %    md.toolkits=addoptions(md.toolkits,DiagnosticHorizAnalysisEnum(),stokesoptions());
+		 %    md.toolkits=addoptions(md.toolkits,DiagnosticHorizAnalysisEnum(),FSoptions());
 		 %    md.toolkits=addoptions(md.toolkits,DiagnosticHorizAnalysisEnum());
 
Index: issm/trunk-jpl/src/m/classes/toolkits.py
===================================================================
--- issm/trunk-jpl/src/m/classes/toolkits.py	(revision 15563)
+++ issm/trunk-jpl/src/m/classes/toolkits.py	(revision 15564)
@@ -39,5 +39,5 @@
 	def addoptions(self,analysis,*args):    # {{{
 		# Usage example:
-		#    md.toolkits=addoptions(md.toolkits,DiagnosticHorizAnalysisEnum(),stokesoptions());
+		#    md.toolkits=addoptions(md.toolkits,DiagnosticHorizAnalysisEnum(),FSoptions());
 		#    md.toolkits=addoptions(md.toolkits,DiagnosticHorizAnalysisEnum());
 
Index: issm/trunk-jpl/src/m/consistency/ismodelselfconsistent.m
===================================================================
--- issm/trunk-jpl/src/m/consistency/ismodelselfconsistent.m	(revision 15563)
+++ issm/trunk-jpl/src/m/consistency/ismodelselfconsistent.m	(revision 15564)
@@ -47,9 +47,9 @@
 	case DiagnosticSolutionEnum(),
 		numanalyses=5;
-		analyses=[DiagnosticHorizAnalysisEnum();DiagnosticVertAnalysisEnum();DiagnosticHutterAnalysisEnum();SurfaceSlopeAnalysisEnum();BedSlopeAnalysisEnum()];
+		analyses=[DiagnosticHorizAnalysisEnum();DiagnosticVertAnalysisEnum();DiagnosticSIAAnalysisEnum();SurfaceSlopeAnalysisEnum();BedSlopeAnalysisEnum()];
 
 	case SteadystateSolutionEnum(),
 		numanalyses=7; 
-		analyses=[DiagnosticHorizAnalysisEnum();DiagnosticVertAnalysisEnum();DiagnosticHutterAnalysisEnum();SurfaceSlopeAnalysisEnum();BedSlopeAnalysisEnum();ThermalAnalysisEnum();MeltingAnalysisEnum()];
+		analyses=[DiagnosticHorizAnalysisEnum();DiagnosticVertAnalysisEnum();DiagnosticSIAAnalysisEnum();SurfaceSlopeAnalysisEnum();BedSlopeAnalysisEnum();ThermalAnalysisEnum();MeltingAnalysisEnum()];
 
 	case ThermalSolutionEnum(),
@@ -87,5 +87,5 @@
 	case TransientSolutionEnum(),
 		numanalyses=9; 
-		analyses=[DiagnosticHorizAnalysisEnum();DiagnosticVertAnalysisEnum();DiagnosticHutterAnalysisEnum();SurfaceSlopeAnalysisEnum();BedSlopeAnalysisEnum();ThermalAnalysisEnum();MeltingAnalysisEnum();EnthalpyAnalysisEnum();PrognosticAnalysisEnum()];
+		analyses=[DiagnosticHorizAnalysisEnum();DiagnosticVertAnalysisEnum();DiagnosticSIAAnalysisEnum();SurfaceSlopeAnalysisEnum();BedSlopeAnalysisEnum();ThermalAnalysisEnum();MeltingAnalysisEnum();EnthalpyAnalysisEnum();PrognosticAnalysisEnum()];
 
 	case FlaimSolutionEnum(),
Index: issm/trunk-jpl/src/m/consistency/ismodelselfconsistent.py
===================================================================
--- issm/trunk-jpl/src/m/consistency/ismodelselfconsistent.py	(revision 15563)
+++ issm/trunk-jpl/src/m/consistency/ismodelselfconsistent.py	(revision 15564)
@@ -12,9 +12,9 @@
 	if   solutiontype == DiagnosticSolutionEnum():
 		numanalyses=5
-		analyses=[DiagnosticHorizAnalysisEnum(),DiagnosticVertAnalysisEnum(),DiagnosticHutterAnalysisEnum(),SurfaceSlopeAnalysisEnum(),BedSlopeAnalysisEnum()]
+		analyses=[DiagnosticHorizAnalysisEnum(),DiagnosticVertAnalysisEnum(),DiagnosticSIAAnalysisEnum(),SurfaceSlopeAnalysisEnum(),BedSlopeAnalysisEnum()]
 
 	elif solutiontype == SteadystateSolutionEnum():
 		numanalyses=7 
-		analyses=[DiagnosticHorizAnalysisEnum(),DiagnosticVertAnalysisEnum(),DiagnosticHutterAnalysisEnum(),SurfaceSlopeAnalysisEnum(),BedSlopeAnalysisEnum(),ThermalAnalysisEnum(),MeltingAnalysisEnum()]
+		analyses=[DiagnosticHorizAnalysisEnum(),DiagnosticVertAnalysisEnum(),DiagnosticSIAAnalysisEnum(),SurfaceSlopeAnalysisEnum(),BedSlopeAnalysisEnum(),ThermalAnalysisEnum(),MeltingAnalysisEnum()]
 
 	elif solutiontype == ThermalSolutionEnum():
@@ -48,5 +48,5 @@
 	elif solutiontype == TransientSolutionEnum():
 		numanalyses=9 
-		analyses=[DiagnosticHorizAnalysisEnum(),DiagnosticVertAnalysisEnum(),DiagnosticHutterAnalysisEnum(),SurfaceSlopeAnalysisEnum(),BedSlopeAnalysisEnum(),ThermalAnalysisEnum(),MeltingAnalysisEnum(),EnthalpyAnalysisEnum(),PrognosticAnalysisEnum()]
+		analyses=[DiagnosticHorizAnalysisEnum(),DiagnosticVertAnalysisEnum(),DiagnosticSIAAnalysisEnum(),SurfaceSlopeAnalysisEnum(),BedSlopeAnalysisEnum(),ThermalAnalysisEnum(),MeltingAnalysisEnum(),EnthalpyAnalysisEnum(),PrognosticAnalysisEnum()]
 
 	elif solutiontype == FlaimSolutionEnum():
Index: issm/trunk-jpl/src/m/contrib/hack/sia.m
===================================================================
--- issm/trunk-jpl/src/m/contrib/hack/sia.m	(revision 15563)
+++ issm/trunk-jpl/src/m/contrib/hack/sia.m	(revision 15564)
@@ -2,5 +2,5 @@
 %BALVEL - computation of Shallow Ice velocities
 %
-%   This routine uses the model of Hutter to compute the velocities
+%   This routine uses the model of SIA to compute the velocities
 %   of a 2d model using the surface slope
 %
Index: issm/trunk-jpl/src/m/mech/mechanicalproperties.m
===================================================================
--- issm/trunk-jpl/src/m/mech/mechanicalproperties.m	(revision 15563)
+++ issm/trunk-jpl/src/m/mech/mechanicalproperties.m	(revision 15564)
@@ -21,5 +21,5 @@
 end
 if any(md.flowequation.element_equation~=2),
-	disp('Warning: the model has some non macayeal elements. These will be treated like MacAyeal''s elements');
+	disp('Warning: the model has some non SSA elements. These will be treated like MacAyeal''s elements');
 end
 
Index: issm/trunk-jpl/src/m/mech/strainrateuncert.m
===================================================================
--- issm/trunk-jpl/src/m/mech/strainrateuncert.m	(revision 15563)
+++ issm/trunk-jpl/src/m/mech/strainrateuncert.m	(revision 15564)
@@ -36,5 +36,5 @@
 end
 if any(md.flowequation.element_equation~=2),
-	disp('Warning: the model has some non macayeal elements. These will be treated like MacAyeal''s elements');
+	disp('Warning: the model has some non SSA elements. These will be treated like MacAyeal''s elements');
 end
 
Index: issm/trunk-jpl/src/m/miscellaneous/issmdoc.m
===================================================================
--- issm/trunk-jpl/src/m/miscellaneous/issmdoc.m	(revision 15563)
+++ issm/trunk-jpl/src/m/miscellaneous/issmdoc.m	(revision 15564)
@@ -11,5 +11,5 @@
 disp(sprintf('%-63s %s','       md=setmask(md,''all'','''');','%defines the glacier system as an ice shelf (no island)'));
 disp(sprintf('%-63s %s','       md=parameterize(md,''Square.par'');','%fills all the other fields of the model'));
-disp(sprintf('%-63s %s','       md=setflowequation(md,''macayeal'',''all'');','%defines all elements as MacAyeal''s SSA'));
+disp(sprintf('%-63s %s','       md=setflowequation(md,''SSA'',''all'');','%defines all elements as MacAyeal''s SSA'));
 disp(sprintf('%-63s %s','       md=solve(md,DiagnosticSolutionEnum());','%solve for stress balance'));
 disp(sprintf('%-63s %s','       plotmodel(md,''data'',md.results.DiagnosticSolution.Vel);','%displays the velocity (type plotdoc for plotmodel help)'));
